Subject: Re: rfc - Changing the way gitk and git-gui are managed

From: Nicolas Sebrecht <[email-masked]>
Date: Sat, 24 Jul 2010 13:02:39 +0200

The 22/07/10, Junio C Hamano wrote:

> Somebody off-list suggested removing gitk and git-gui directories from my
> repository and I've been playing with the idea and kind of like the end
> result.

What is the issue with the current status?

> The plan (I am not decided to buy into it yet, hence I am sending this
> rfc) is to:
> 
>     - remove gitk-git and git-gui directories;
>     - add modules/gitk and modules/git-gui submodules;
>     - teach the top-level Makefile about the new location of these two
>       packages.

Going this way, why would we want gitk and git-gui as submodules at all?
They are porcelain tools as many other not in git.git.

-- 
Nicolas Sebrecht